#!/bin/bash
#
# Copyright (C) 2004-2011 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of le-interface
#
# le-interface is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

THIS=$(basename $0)
PDAPATH=".kde/share/config/plasma-desktop-appletsrc"

USERF=""
APPSTR="^plugin=ihatethecashew$"

TERROR="Erro - Restaurar papel de parede"
TWARN="Aviso - Restaurar papel de parede"

# Print script usage
function usage() {
    echo "Uso: $THIS [opções]

    Opções:
        -h                  uso
        -q                  não imprime mensagens
        -t                  versão terminal
        -g                  versão janela
        -u USUARIO          atribui usuário
    "
    exit -1
}

# Restart plasma-desktop
function restartplasma() {
    kquitapp plasma-desktop
    plasma-desktop
    plasma-desktop
}

while getopts "hqtgu:" OPT; do
    case $OPT in
        "h") usage;;
        "q") MSGTYPE=0;;
        "t") MSGTYPE=1;;
        "g") MSGTYPE=2;;
        "u") USERF=$OPTARG;;
        "?") usage;;
          *) usage;;
    esac
done

# Print usage if none parameter was passed
if test $# -eq 0; then
    usage
fi

# File path
if test -z "$USERF"; then
    FILE="$HOME/$PDAPATH"
else
    FILE="/home/$USERF/$PDAPATH"
fi

if test -e $FILE; then
    ASL=$(grep -n $APPSTR $FILE | cut -d':' -f1)
    AEL=$((ASL + 2))

    if test -n "$ASL"; then
        # Remove ihatethecashew plugin lines
        ASL=$((ASL - 3))
        sed -i "$ASL,$AEL d" $FILE

        if test $? -ne 0; then
            case $MSGTYPE in
                "0") ;;
                "1") echo "Erro ao modificar $FILE";;
                "2") kdialog --title $TERROR --error "Erro ao modificar $FILE";;
                  *)   exit 1;;
            esac
            exit 1
        else
            case $MSGTYPE in
                "0") ;;
                "1") restartplasma; echo "Restauração realizada com sucesso.";;
                "2") restartplasma
                     kdialog --title $TWARN \
                             --msgbox "Restauração realizada com sucesso.";;
                  *)   exit 1;;
            esac
        fi
    else
        case $MSGTYPE in
            "0") ;;
            "1") echo "Nenhuma alteração feita.";;
            "2") kdialog --title $TWARN --msgbox "Nenhuma alteração feita.";;
              *)   exit 1;;
        esac
        exit 1
    fi
fi

exit 0
