#!/bin/bash
#
# Copyright (C) 2004-2010 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of le-interface
#
# le-interface is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

# This script solves the cashew problem on login session for non-freeze users

KDEPATH="$HOME/.kde/share/config"
PDRC="$KDEPATH/plasma-desktoprc"
PDA="plasma-desktop-appletsrc"
PDARC="$KDEPATH/$PDA"
KDESHARE="/usr/share/kubuntu-default-settings/kde4-profile/default/share"
CASHEW="ihatethecashew"
CASHEWJS="03-$CASHEW.js"
LOCKJS="04-lockwidgets.js"

# Verify if cashew is configured in plasma-desktop-appletsrc
if grep -q $CASHEW $PDARC; then
    # Get value of immutability from General group
    pimm=$(kreadconfig --file $PDA --group General --key immutability)

    # Execute script to remove cashew configuration
    bash le-fix-wallpaper.sh -q

    # Set value of immutability to 1 (unlock widgets)
    kwriteconfig --file $PDA --group General --key immutability 1

    # Remove cashew js script from list of performed scripts on login
    sed -i "s:,*$KDESHARE/apps/plasma-desktop/updates/$CASHEWJS::" $PDRC

    # Recover immutability configuration if needed
    if test "$pimm" -eq "2"; then
        if grep -q $LOCKJS $PDRC; then
            sed -i "s:,*$KDESHARE/apps/plasma-desktop/updates/$LOCKJS::" $PDRC
        fi
    fi
fi
