#!/bin/bash
#
# Copyright (C) 2004-2010 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of le-interface
#
# le-interface is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

# Remove kde specific files
REMOVELIST="share/config/plasma-desktoprc"
for ITEM in ${REMOVELIST}; do
    rm -Rf "$HOME/.kde/$ITEM" &>/dev/null
done

# Restart icon cache if needed
icontheme=$(kreadconfig --file kdeglobals --group Icons --key Theme)
if test "$icontheme" != "le-icons"; then
    rm -f /var/tmp/kdecache-$USER/kpc/kde-icon-cache*
fi

# Restart /etc/skel
cp -r /etc/skel/.kde "$HOME"
cp -r /etc/skel/.local "$HOME"
chown -R --reference="$HOME" "$HOME/.kde"
chown -R --reference="$HOME" "$HOME/.local"

# Reset sound volume
amixer set PCM 100% unmute
amixer set Master 100% unmute
amixer set Front 100% unmute
