#!/bin/bash
#
# Copyright (C) 2004-2011 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of le-interface
#
# le-interface is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

# Write LE default contiguration to kwinrc

# If user does not belong to freeze group and already has kwinrc, exit
if ! $(groups $USER | grep -q "\<freeze\>"); then
    if test -f $HOME/.kde/share/config/kwinrc; then
        exit 0;
    fi
fi

res=$(kreadconfig --file kwinrc --group '$Version' --key update_info)
if test -z "$res"; then
    kwriteconfig --file kwinrc --group '$Version' \
                 --key update_info kwin_on_off.upd:kwin_on_off,kwin.upd:kde3.0r1,kwin.upd:kde3.2Xinerama,kwin_focus1.upd:kwin_focus1,kwin3_plugin.upd:kde3.2,kwin_focus2.upd:kwin_focus2
fi

# Write the configuration below for freeze users and non-freeze users without
# kwinrc file
kwriteconfig --file kwinrc --group Desktops --key Name_1 ""

kwriteconfig --file kwinrc --group Style --key PluginLib kwin3_qtcurve
kwriteconfig --file kwinrc --group Style --key BorderSize 1
kwriteconfig --file kwinrc --group Style --key ButtonsOnLeft M
kwriteconfig --file kwinrc --group Style --key ButtonsOnRight HIA__X
kwriteconfig --file kwinrc --group Style --key ShowToolTips \
             --type bool true
kwriteconfig --file kwinrc --group Style --key CustomButtonPositions \
             --type bool true

kwriteconfig --file kwinrc --group TabBox --key ListMode 0
kwriteconfig --file kwinrc --group TabBox --key ShowTabBox \
             --type bool true

# Change kwinrc owner based on home directory
chown -R --reference="$HOME" "$HOME/.kde/share/config/kwinrc"
