#!/bin/bash
#
# Copyright (C) 2004-2010 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of le-interface
#
# le-interface is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

printer=$(qdbus | grep "org.kde.printer-applet-")

if test "0" == $?
then
    # Get printer-applet id
    printerpid=$(echo $printer | cut -d'-' -f3)
    # Open print status window
    qdbus org.kde.printer-applet-"$printerpid" /printer_applet/MainWindow \
          com.trolltech.Qt.QWidget.show
else
    # If printer applet file exists
    if test -f /usr/bin/printer-applet
    then
        # Run printer applet and open print status window
        python /usr/bin/printer-applet --show &
    else
        # Show an error dialog
        kdialog --title "Impressora" \
                --msgbox "Aplicativo de impressora não instalado."
    fi
fi
